> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /europepmc/articles

> Get a Europe PMC article by its (source, id) pair

**Price:** 1 credit

**⚠️ Common errors:** 412: Article not found



## OpenAPI

````yaml /openapi/research-papers.json post /api/europepmc/articles
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/europepmc/articles:
    post:
      tags:
        - /europepmc
      summary: /europepmc/articles
      description: |-
        Get a Europe PMC article by its (source, id) pair

        **Price:** 1 credit

        **⚠️ Common errors:** 412: Article not found
      operationId: __api_europepmc_articles_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EuropepmcArticlesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/EuropepmcArticle'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    EuropepmcArticlesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        id:
          type: string
          minLength: 1
        source:
          $ref: '#/components/schemas/EuropepmcSource'
          default: MED
      type: object
      required:
        - id
    EuropepmcArticle:
      properties:
        '@type':
          type: string
          default: EuropepmcArticle
        id:
          type: string
        source:
          type: string
        pmid:
          anyOf:
            - type: string
            - type: 'null'
        pmcid:
          anyOf:
            - type: string
            - type: 'null'
        doi:
          anyOf:
            - type: string
            - type: 'null'
        abstract:
          anyOf:
            - type: string
            - type: 'null'
        author_string:
          anyOf:
            - type: string
            - type: 'null'
        affiliation:
          anyOf:
            - type: string
            - type: 'null'
        authors:
          items:
            $ref: '#/components/schemas/EuropepmcAuthor'
          type: array
          default: []
        journal:
          anyOf:
            - $ref: '#/components/schemas/EuropepmcJournal'
            - type: 'null'
        pub_year:
          anyOf:
            - type: integer
            - type: 'null'
        page_info:
          anyOf:
            - type: string
            - type: 'null'
        first_publication_date:
          anyOf:
            - type: string
            - type: 'null'
        language:
          anyOf:
            - type: string
            - type: 'null'
        pub_model:
          anyOf:
            - type: string
            - type: 'null'
        publication_status:
          anyOf:
            - type: string
            - type: 'null'
        pub_types:
          items:
            type: string
          type: array
          default: []
        version_number:
          anyOf:
            - type: integer
            - type: 'null'
        has_evaluations:
          type: boolean
          default: false
        versions:
          items:
            $ref: '#/components/schemas/EuropepmcVersion'
          type: array
          default: []
        keywords:
          items:
            type: string
          type: array
          default: []
        mesh_headings:
          items:
            $ref: '#/components/schemas/EuropepmcMeshHeading'
          type: array
          default: []
        chemicals:
          items:
            $ref: '#/components/schemas/EuropepmcChemical'
          type: array
          default: []
        grants:
          items:
            $ref: '#/components/schemas/EuropepmcGrant'
          type: array
          default: []
        comments:
          items:
            $ref: '#/components/schemas/EuropepmcComment'
          type: array
          default: []
        full_text_urls:
          items:
            $ref: '#/components/schemas/EuropepmcFullTextUrl'
          type: array
          default: []
        license:
          anyOf:
            - type: string
            - type: 'null'
        is_open_access:
          type: boolean
          default: false
        in_epmc:
          type: boolean
          default: false
        in_pmc:
          type: boolean
          default: false
        has_pdf:
          type: boolean
          default: false
        has_book:
          type: boolean
          default: false
        has_suppl:
          type: boolean
          default: false
        has_references:
          type: boolean
          default: false
        has_text_mined_terms:
          type: boolean
          default: false
        has_db_cross_references:
          type: boolean
          default: false
        has_labs_links:
          type: boolean
          default: false
        has_data:
          type: boolean
          default: false
        cited_by_count:
          type: integer
          default: 0
        date_of_creation:
          anyOf:
            - type: string
            - type: 'null'
        date_of_revision:
          anyOf:
            - type: string
            - type: 'null'
        first_index_date:
          anyOf:
            - type: string
            - type: 'null'
        web_url:
          type: string
          default: ''
      type: object
      required:
        - id
        - source
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    EuropepmcSource:
      type: string
      enum:
        - MED
        - PMC
        - PPR
        - PAT
        - AGR
        - CBA
        - CTX
        - ETH
        - HIR
        - NBK
    EuropepmcAuthor:
      properties:
        '@type':
          type: string
          default: EuropepmcAuthor
        full_name:
          anyOf:
            - type: string
            - type: 'null'
        first_name:
          anyOf:
            - type: string
            - type: 'null'
        last_name:
          anyOf:
            - type: string
            - type: 'null'
        initials:
          anyOf:
            - type: string
            - type: 'null'
        orcid:
          anyOf:
            - type: string
            - type: 'null'
        affiliations:
          items:
            type: string
          type: array
          default: []
      type: object
    EuropepmcJournal:
      properties:
        '@type':
          type: string
          default: EuropepmcJournal
        iso_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        medline_abbreviation:
          anyOf:
            - type: string
            - type: 'null'
        nlmid:
          anyOf:
            - type: string
            - type: 'null'
        issn:
          anyOf:
            - type: string
            - type: 'null'
        essn:
          anyOf:
            - type: string
            - type: 'null'
        volume:
          anyOf:
            - type: string
            - type: 'null'
        issue:
          anyOf:
            - type: string
            - type: 'null'
        issue_id:
          anyOf:
            - type: integer
            - type: 'null'
        year:
          anyOf:
            - type: integer
            - type: 'null'
        month_of_publication:
          anyOf:
            - type: integer
            - type: 'null'
        print_publication_date:
          anyOf:
            - type: string
            - type: 'null'
        date_of_publication:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuropepmcVersion:
      properties:
        '@type':
          type: string
          default: EuropepmcVersion
        id:
          type: string
        source:
          anyOf:
            - type: string
            - type: 'null'
        version_number:
          anyOf:
            - type: integer
            - type: 'null'
        first_publish_date:
          anyOf:
            - type: string
            - type: 'null'
        pub_types:
          items:
            type: string
          type: array
          default: []
        has_evaluations:
          type: boolean
          default: false
      type: object
      required:
        - id
    EuropepmcMeshHeading:
      properties:
        '@type':
          type: string
          default: EuropepmcMeshHeading
        descriptor_name:
          type: string
        is_major_topic:
          type: boolean
          default: false
        qualifiers:
          items:
            type: string
          type: array
          default: []
      type: object
      required:
        - descriptor_name
    EuropepmcChemical:
      properties:
        '@type':
          type: string
          default: EuropepmcChemical
        name:
          type: string
        registry_number:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    EuropepmcGrant:
      properties:
        '@type':
          type: string
          default: EuropepmcGrant
        grant_id:
          anyOf:
            - type: string
            - type: 'null'
        agency:
          anyOf:
            - type: string
            - type: 'null'
        acronym:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuropepmcComment:
      properties:
        '@type':
          type: string
          default: EuropepmcComment
        id:
          anyOf:
            - type: string
            - type: 'null'
        source:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        note:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    EuropepmcFullTextUrl:
      properties:
        '@type':
          type: string
          default: EuropepmcFullTextUrl
        url:
          type: string
        site:
          anyOf:
            - type: string
            - type: 'null'
        document_style:
          anyOf:
            - type: string
            - type: 'null'
        availability:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - url
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````